Net::DNS::RR::KX(3)

NAME
Net::DNS::RR::KX - DNS KX resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name KX preference exchange');

DESCRIPTION
DNS Key Exchange Delegation (KX) record

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  preference
    $preference = $rr->preference;
    $rr->preference( $preference );

A 16 bit integer which specifies the preference given to this RR among others at the same owner. Lower values are preferred.

  exchange
    $exchange = $rr->exchange;
    $rr->exchange( $exchange );

A domain name which specifies a host willing to act as a key exchange for the owner name.

COPYRIGHT
Copyright (c)2009 Olaf Kolkman, NLnet Labs.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC2230